# Sets the requested tickets and/or seats for an order showtime within an in progress standard order

This endpoint cannot be used for orders that have a parent order (see standard order ParentOrderId)
#### Specifying Tickets without Seats (Ticket-first Ordering)
- If session seat allocation is marked as *None*: Tickets will be booked without specific seats
- If session seat allocation is marked as *Manual*: Tickets will be booked. Seats will be auto-allocated if possible.
- If session seat allocation is marked as *Auto*: Tickets will be booked. Seats will be auto-allocated if possible.

#### Specifying Seats (Ticket-first and seat-first Ordering)
- If session seat allocation is marked as *None*: Specifying seats is invalid - a 400 will be returned.
- If session seat allocation is marked as *Manual*: Specified seats will be reserved if possible - otherwise a *SeatsUnavailable* error will be returned.
- If session seat allocation is marked as *Auto*: Specified seats will be reserved if possible - otherwise a *SeatsUnavailable* error will be returned.

#### Auto-Allocation
- The system may attempt to auto-allocate seats if specific seats are not supplied, depending on system configuration.
- The auto-allocation system is not guaranteed to allocate seats. Auto-allocation may fail if seats cannot be allocated contiguously.
- When allocation fails the client must render a seat plan and the seats must be manually specified.
- It is recommended the client render the seat plan regardless to provide the opportunity for the customer to modify the auto-allocated selections.

#### Licenses Required
- Vista.Ocapi

Endpoint: PUT /ocapi/v1/orders/{orderId}/showtimes/{showtimeId}
Version: V1

## Description:

  - `Specifying Tickets without Seats (Ticket-first Ordering)` ()
    If session seat allocation is marked as None: Tickets will be booked without specific seatsIf session seat allocation is marked as Manual: Tickets will be booked. Seats will be auto-allocated if possible.If session seat allocation is marked as Auto: Tickets will be booked. Seats will be auto-allocated if possible.

  - `Specifying Seats (Ticket-first and seat-first Ordering)` ()
    If session seat allocation is marked as None: Specifying seats is invalid - a 400 will be returned.If session seat allocation is marked as Manual: Specified seats will be reserved if possible - otherwise a SeatsUnavailable error will be returned.If session seat allocation is marked as Auto: Specified seats will be reserved if possible - otherwise a SeatsUnavailable error will be returned.

  - `Auto-Allocation` ()
    The system may attempt to auto-allocate seats if specific seats are not supplied, depending on system configuration.The auto-allocation system is not guaranteed to allocate seats. Auto-allocation may fail if seats cannot be allocated contiguously.When allocation fails the client must render a seat plan and the seats must be manually specified.It is recommended the client render the seat plan regardless to provide the opportunity for the customer to modify the auto-allocated selections.

  - `Licenses Required` ()
    Vista.Ocapi

## Path parameters:

  - `orderId` (string, required)
    The unique identifier of the in progress standard order being modified

  - `showtimeId` (string, required)
    The unique identifier of the order showtime being modified

## Header parameters:

  - `Connect-Region-Code` (string)
    Region Code

## Request body:

  - `application/json, text/json, application/*+json, application/json-patch+json` (unknown)
    The requested tickets and/or seats

## Request fields (application/json):

  - `tickets` (array)
    Gets the list of order ticket request entities

  - `tickets.id` (string)
    Gets the identifier that can be used to uniquely identify the ticket within the order base

  - `tickets.ticketTypeId` (string, required)
    Gets the unique identifier of the ticket type base

  - `tickets.rewardId` (integer)
    Gets the unique identifier of the reward used, if applicable

  - `tickets.ticketRedemptionCardId` (string)
    Gets the unique identifier of the order ticket redemption card base used, if applicable

  - `tickets.voucherId` (string)
    Gets the unique identifier of the order voucher used, if applicable

  - `tickets.discountId` (string)
    Gets the unique identifier of the discount used, if applicable

  - `seats` (array)
    Gets the list of unique identifiers of the requested seat entities

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `order` (object, required)
    Gets the in progress order base entity

  - `order.id` (string, required)
    Gets the unique identifier

  - `order.type` (string, required)
    Gets the type
    Enum: "Standard", "GiftShop", "Subscription", "Tab"

  - `order.status` (string, required)
    Gets the status
    Enum: "InProgress", "Completed"

  - `order.totalPrice` (object, required)
    Gets the total price to be displayed to the customer

  - `order.totalPrice.valueIncludingTax` (number, required)
    Gets the monetary value including tax

  - `order.totalPrice.valueExcludingTax` (number, required)
    Gets the monetary value excluding tax

  - `order.totalPrice.tax` (number, required)
    Gets the amount of tax

  - `order.booking` (object, required)
    Gets the booking details

  - `order.booking.mode` (string, required)
    Gets the order booking mode.
    Enum: "Paid", "Unpaid", "UnpaidConfirmed"

  - `order.booking.totalBookingFee` (object, required)
    Gets the total booking fee amount the customer has currently paid.

  - `order.showtimes` (array, required)
    Gets the list of order showtime entities

  - `order.showtimes.showtimeId` (string, required)
    Gets the unique identifier of the showtime

  - `order.showtimes.tickets` (array, required)
    Gets the list of order ticket line base entities

  - `order.showtimes.tickets.id` (string, required)
    Gets the identifier that can be used to uniquely identify the line within the order base

  - `order.showtimes.tickets.collectionStatus` (string, required)
    Gets the collection status
    Enum: "NotCollected", "Collected"

  - `order.showtimes.tickets.refundStatus` (string, required)
    Gets the refund status
    Enum: "NotRefunded", "Refunded"

  - `order.showtimes.tickets.ticketTypeId` (string, required)
    Gets the unique identifier of the ticket type base

  - `order.showtimes.tickets.type` (string, required)
    Gets the type
    Enum: "Normal", "Package"

  - `order.showtimes.tickets.price` (object, required)
    Gets the price to be displayed to the customer

  - `order.showtimes.tickets.amountSaved` (object, required)
    Gets the total amount saved on the ticket due to all discounts and deals

  - `order.showtimes.tickets.bookingFee` (object)
    Gets the booking fee incurred for the ticket, if applicable

  - `order.showtimes.tickets.bookingFee.id` (string, required)
    Gets the identifier that can be used to uniquely identify the line within the order base

  - `order.showtimes.tickets.bookingFee.amount` (object, required)
    Gets the monetary amount to be displayed to the customer

  - `order.showtimes.tickets.bookingFee.collectionStatus` (string, required)
    Gets the collection status
    Enum: "NotCollected", "Collected"

  - `order.showtimes.tickets.bookingFee.refundStatus` (string, required)
    Gets the refund status
    Enum: "NotRefunded", "Refunded"

  - `order.showtimes.tickets.bookingFee.refundAvailability` (any, required)
    Represents the refund availability of an order line

  - `order.showtimes.tickets.bookingFee.refundAvailability.isAvailable` (boolean, required)
    Gets a value indicating whether the order line can be refunded

  - `order.showtimes.tickets.bookingFee.refundAvailability.unavailableReason` (string, required)
    Gets the reason the order line cannot be refunded
    Enum: "NotApplicable", "NotEnabled", "OrderNotCompleted", "AlreadyCollected", "AlreadyRefunded", "ItemDeliveryPreparationStarted", "ShowtimeRefundWindowEnded", "VoucherRedeemed", "RedeemableItemIssued", "OrderExpired", "WeightBasedItem"

  - `order.showtimes.tickets.bookingFee.refundAvailability.isAvailable` (boolean, required)

  - `order.showtimes.tickets.bookingFee.refundAvailability.unavailableReason` (string, required)
    Represents the reasons that an order line cannot be refunded
    Enum: "NotApplicable", "NotEnabled", "OrderNotCompleted", "AlreadyCollected", "AlreadyRefunded", "ItemDeliveryPreparationStarted", "ShowtimeRefundWindowEnded", "VoucherRedeemed", "RedeemableItemIssued", "OrderExpired", "WeightBasedItem"

  - `order.showtimes.tickets.rewardId` (integer)
    Gets the unique identifier of the reward used, if applicable

  - `order.showtimes.tickets.ticketRedemptionCardId` (string)
    Gets the unique identifier of the order ticket redemption card base used, if applicable

  - `order.showtimes.tickets.voucherId` (string)
    Gets the unique identifier of the order voucher used, if applicable

  - `order.showtimes.tickets.discountId` (string)
    Gets the unique identifier of the discount used, if applicable

  - `order.showtimes.tickets.dealId` (string)
    Gets the unique identifier of the order deal used, if applicable

  - `order.showtimes.tickets.refundAvailability` (any, required)
    Represents the refund availability of an order line

  - `order.showtimes.seats` (array, required)
    Gets the list of order seat entities

  - `order.showtimes.seats.seatId` (string, required)
    Gets the unique identifier of the seat

  - `order.showtimes.seats.seatLabel` (string)
    Gets the label/physical name of the seat
    Example: 5

  - `order.showtimes.seats.rowLabel` (string, required)
    Gets the label/physical name of the row

  - `order.showtimes.seats.areaName` (object, required)
    Gets the area name text, and its translations

  - `order.showtimes.seats.areaName.text` (string, required)
    Gets the text in the default language

  - `order.showtimes.seats.areaName.translations` (array, required)
    Gets the translations of the translatable Text in other languages

  - `order.showtimes.seats.areaName.translations.languageTag` (string, required)
    Gets the IETF (RFC 4646) language tag that the translation Text has been translated for
    Example: en-US

  - `order.showtimes.seats.areaName.translations.text` (string, required)
    Gets the translated text

  - `order.showtimes.seats.areaCategoryId` (string, required)
    Gets the unique identifier of the area category the seat belongs to

  - `order.showtimes.seats.position` (object, required)
    Gets the seat position

  - `order.showtimes.seats.position.areaNumber` (integer, required)
    Gets the number that can be used to uniquely identify the area within the seat layout

  - `order.showtimes.seats.position.columnNumber` (integer, required)
    Gets the number that can be used to uniquely identify the column of the seat entity within the area

  - `order.showtimes.seats.position.rowNumber` (integer, required)
    Gets the number that can be used to uniquely identify the row within the area

  - `order.showtimes.seatSwapStatus` (object, required)
    Gets the seat swap status

  - `order.showtimes.seatSwapStatus.isAvailable` (boolean, required)
    Gets a value indicating whether the order showtime Seats can be swapped

  - `order.showtimes.seatSwapStatus.unavailableReason` (string, required)
    Gets the reason the seats cannot be swapped
    Enum: "NotApplicable", "NotEnabled", "UnallocatedSeating", "NoSeats", "PackageTickets", "InSeatDeliveryItems", "OrderNotCompleted", "OrderRefunded", "UnpaidBooking", "ShowtimeEnded"

  - `order.items` (array, required)
    Gets the list of order item line base entities

  - `order.items.itemId` (string, required)

  - `order.items.id` (string, required)

  - `order.items.type` (string, required)
    Represents the type of an item base entity
    Enum: "Normal", "ParentSales", "Package", "Recipe", "WeightBased"

  - `order.items.price` (object, required)
    Represents a monetary value, and its related tax value

  - `order.items.amountSaved` (object, required)
    Represents a monetary value, and its related tax value

  - `order.items.parentSalesItemId` (string)

  - `order.items.collectionStatus` (string, required)
    Represents the collection status of a collectable order line
    Enum: "NotCollected", "Collected"

  - `order.items.refundStatus` (string, required)
    Represents the refund status of an order line
    Enum: "NotRefunded", "Refunded"

  - `order.items.refundAvailability` (any, required)
    Represents the refund availability of an order line

  - `order.items.rewardId` (integer)

  - `order.items.discountId` (string)

  - `order.items.dealId` (string)

  - `order.itemDeliveries` (array, required)
    Gets the list of order item delivery base entities for the standard order Items

  - `order.itemDeliveries.id` (string, required)
    Gets the identifier that can be used to uniquely identify the delivery within the order base

  - `order.itemDeliveries.method` (string, required)
    Gets the delivery method
    Enum: "CounterPickup", "ServiceAreaPickup", "ElectronicDelivery", "InSeatDelivery", "DiningLocationDelivery", "CustomLocationDelivery", "PostalDelivery"

  - `order.itemDeliveries.fee` (object)
    Gets the delivery fee, if applicable

  - `order.itemDeliveries.fee.id` (string, required)
    Gets the identifier that can be used to uniquely identify the line within the order base

  - `order.itemDeliveries.fee.amount` (object, required)
    Gets the monetary amount to be displayed to the customer

  - `order.itemDeliveries.fee.refundStatus` (string, required)
    Gets the refund status
    Enum: "NotRefunded", "Refunded"

  - `order.itemDeliveries.fee.refundAvailability` (any, required)
    Represents the refund availability of an order line

  - `order.itemDeliveries.locationName` (string, required)

  - `order.itemDeliveries.schedule` (any, required)
    Represents the base properties of a schedule that determines when an order item delivery base
should be delivered or ready for pickup

  - `order.itemDeliveries.schedule.type` (string, required)
    Gets the type
    Enum: "Immediate", "OnRequest", "ShowtimeDeliveryWindow"

  - `order.itemDeliveries.method` (string, required)
    Represents the delivery method of an item base
    Enum: "CounterPickup", "ServiceAreaPickup", "ElectronicDelivery", "InSeatDelivery", "DiningLocationDelivery", "CustomLocationDelivery", "PostalDelivery"

  - `order.itemDeliveries.comment` (string)

  - `order.itemDeliveries.preparation` (any, required)
    Represents the preparation details of a completed order item delivery base that requires preparation

  - `order.itemDeliveries.preparation.status` (string, required)
    Gets the current status
    Enum: "OnHold", "Requested", "InProgress", "Ready", "Delivered", "Cancelled"

  - `order.itemDeliveries.preparation.availableAt` (string, required)
    Gets the earliest date and time that preparation is available, i.e. when item preparation can be started

  - `order.itemDeliveries.preparation.unavailableAt` (string, required)
    Gets the date and time when in-seat item delivery is no longer available, i.e. when item preparation must be completed by

  - `order.itemDeliveries.preparation.pickupNumber` (integer)
    Gets the pickup number, if applicable

  - `order.itemDeliveries.diningLocation` (object, required)
    Represents the details of a dining location base in the context of an order base

  - `order.itemDeliveries.diningLocation.diningLocationId` (string, required)
    Gets the unique identifier of the dining location base

  - `order.itemDeliveries.diningLocation.type` (string, required)
    Gets the type
    Enum: "Table", "Chair"

  - `order.itemDeliveries.diningLocation.label` (string, required)
    Gets the label/physical name of the dining location base
    Example: 5

  - `order.itemDeliveries.diningLocation.areaName` (object, required)
    Gets the name of the dining area

  - `order.itemDeliveries.showtimeId` (string, required)
    Gets the unique identifier of the showtime

  - `order.itemDeliveries.seats` (array, required)
    Gets the list of order seat entities the items will be delivered to

  - `order.itemDeliveries.preparation` (object, required)
    Gets the completed order item in seat delivery preparation entity

  - `order.itemDeliveries.postalDeliveryMethodId` (string, required)
    Gets the unique identifier of the item postal delivery method

  - `order.itemDeliveries.deliveryFee` (object, required)
    Gets the delivery fee

  - `order.itemDeliveries.comment` (string)
    Gets the patron's comment, if applicable

  - `order.itemDeliveries.serviceAreaIds` (array, required)
    Gets the list of unique identifiers of the item service area entities

  - `order.itemDeliveries.preparation` (object, required)
    Gets the completed order item service area pickup preparation entity

  - `order.totalItemDeliveryFee` (object, required)
    Gets the total fee for the in progress standard order ItemDeliveries

  - `order.payments` (array, required)
    Gets the list of order payment base entities

  - `order.payments.id` (string, required)
    Gets the identifier that can be used to uniquely identify the payment within the order base

  - `order.payments.type` (string, required)
    Gets the type
    Enum: "CinemaProcessed", "Embedded", "GiftCard", "Redirect", "MemberBalance", "ExternallyProcessed", "PaymentCard"

  - `order.payments.value` (number, required)
    Gets the monetary value

  - `order.payments.status` (string, required)
    Gets the status
    Enum: "NotStarted", "Pending", "Declined", "Completed"

  - `order.payments.balanceTypeId` (integer, required)
    Gets the unique identifier of the balance type

  - `order.payments.units` (number, required)
    Gets the value in balance type units

  - `order.payments.maskedCardNumber` (string, required)
    Gets a masked representation of the card number
    Example: 12.......6789

  - `order.vouchers` (array, required)
    Gets the list of order voucher entities

  - `order.vouchers.id` (string, required)
    Gets the identifier that can be used to uniquely identify the voucher within the order base

  - `order.vouchers.type` (string, required)
    Gets the type
    Enum: "Ticket", "Subscription", "Deal"

  - `order.vouchers.maskedBarcode` (string, required)
    Gets a masked representation of the barcode
    Example: 12.......6789

  - `order.vouchers.voucherTypeCode` (string, required)
    Gets the unique identifier of the voucher type

  - `order.vouchers.voucherTypeDescription` (object)
    Gets the voucher type description text, and its translations

  - `order.deals` (array, required)
    Gets the list of order deal entities

  - `order.deals.id` (string, required)
    Gets the identifier that can be used to uniquely identify the deal within the order base

  - `order.deals.dealId` (string, required)
    Gets the unique identifier of the deal base used

  - `order.deals.voucherId` (string)
    Gets the unique identifier of the order voucher used, if applicable

  - `order.ticketRedemptionCards` (array, required)
    Gets the list of order ticket redemption card base entities

  - `order.ticketRedemptionCards.type` (string, required)
    Gets the type
    Enum: "MemberSubscriptionCard", "ThirdPartyMemberCard"

  - `order.ticketRedemptionCards.maskedCardNumber` (string, required)
    Gets a masked representation of the card number
    Example: 12.......6789

  - `order.ticketRedemptionCards.memberName` (object)
    Gets the name of the person that owns the card, if known

  - `order.ticketRedemptionCards.memberName.givenName` (string)
    Gets the given name

  - `order.ticketRedemptionCards.memberName.familyName` (string)
    Gets the family name

  - `order.ticketRedemptionCards.memberName.middleName` (string)
    Gets the middle or any additional name

  - `order.expiresAt` (string, required)
    Gets the date and time that the order is set to expire

  - `order.siteId` (string, required)
    Gets the unique identifier of the site

  - `order.hasCustomer` (boolean, required)
    Gets a value indicating whether the order customer has been set

  - `order.amountSaved` (object, required)
    Gets the monetary amount saved via discounted prices

  - `order.tip` (object)
    Gets the tip

  - `order.tip.id` (string, required)
    Gets the identifier that can be used to uniquely identify the line within the order base

  - `order.tip.amount` (object, required)
    Gets the monetary amount

  - `order.tip.collectionStatus` (string, required)
    Gets the collection status
    Enum: "NotCollected", "Collected"

  - `order.tip.refundStatus` (string, required)
    Gets the refund status
    Enum: "NotRefunded", "Refunded"

  - `order.tip.refundAvailability` (any, required)
    Represents the refund availability of an order line

  - `order.parentOrderId` (string)
    Gets the unique identifier of the linked parent completed standard order, if applicable

  - `order.siteOrderLocationId` (string)
    Gets the unique identifier of the site order location, if applicable.

Will equal null if items are ordered from the default site item profile

  - `relatedData` (object, required)
    Gets the related data for the in progress order base entity

  - `relatedData.films` (array, required)
    Gets the list of related order related film entities

  - `relatedData.films.id` (string, required)

  - `relatedData.films.title` (object, required)
    Represents some customer-visible translatable Text in the default language, and a list of translation entities

  - `relatedData.films.externalIds` (object, required)
    Represents the external identifiers linked to a film

  - `relatedData.films.externalIds.moviexchangeReleaseId` (string)
    Gets the unique identifier of the linked movieXchange film release entity

  - `relatedData.films.externalIds.corporateId` (string)
    Gets the unique corporate identifier

  - `relatedData.films.censorRatingId` (string)

  - `relatedData.films.censorRatingNote` (object)
    Represents some customer-visible translatable Text in the default language, and a list of translation entities

  - `relatedData.ticketTypes` (array, required)
    Gets the list of related order related ticket type entities

  - `relatedData.ticketTypes.id` (string, required)

  - `relatedData.ticketTypes.description` (object, required)
    Represents some customer-visible translatable Text in the default language, and a list of translation entities

  - `relatedData.ticketTypes.longDescription` (object, required)
    Represents some customer-visible translatable Text in the default language, and a list of translation entities

  - `relatedData.items` (array, required)
    Gets the list of related order related item entities

  - `relatedData.items.id` (string, required)
    Gets the unique identifier

  - `relatedData.items.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.items.hoCode` (string, required)
    Gets the Head Office code

  - `relatedData.items.hopk` (string)
    Gets the Head Office primary key

  - `relatedData.items.isSundry` (boolean)
    Gets a value indicating whether this is a sundry item

  - `relatedData.items.isPreparationRequired` (boolean)
    Gets a value indicating whether the item requires preparation

  - `relatedData.showtimes` (array, required)
    Gets the list of related order related showtime entities

  - `relatedData.showtimes.id` (string, required)

  - `relatedData.showtimes.schedule` (object, required)
    Represents the dates and times relevant to a showtime, e.g. its start, end, film start, etc

  - `relatedData.showtimes.schedule.businessDate` (string, required)
    Gets the showtime entity's business date

  - `relatedData.showtimes.schedule.startsAt` (string, required)
    Gets the date and time that the showtime starts

  - `relatedData.showtimes.schedule.endsAt` (string, required)
    Gets the date and time that the showtime ends

  - `relatedData.showtimes.schedule.filmStartsAt` (string, required)
    Gets the date and time that the film screening starts

  - `relatedData.showtimes.schedule.filmEndsAt` (string, required)
    Gets the date and time that the film screening ends

  - `relatedData.showtimes.schedule.inSeatItemDelivery` (object)
    Gets the showtime in seat item delivery schedule entity, if applicable

  - `relatedData.showtimes.schedule.inSeatItemDelivery.startsAt` (string, required)
    Gets the date and time when in-seat item delivery becomes available

  - `relatedData.showtimes.schedule.inSeatItemDelivery.endsAt` (string, required)
    Gets the date and time when in-seat item delivery is no longer available

  - `relatedData.showtimes.filmId` (string, required)

  - `relatedData.showtimes.siteId` (string, required)

  - `relatedData.showtimes.screenId` (string, required)

  - `relatedData.sites` (array, required)
    Gets the list of related site entities

  - `relatedData.sites.location` (object)
    Gets the geographic location

  - `relatedData.sites.location.latitude` (number, required)
    Gets the latitude (expressed in degrees and minutes)

  - `relatedData.sites.location.longitude` (number, required)
    Gets the longitude (expressed in degrees and minutes)

  - `relatedData.sites.contactDetails` (object, required)
    Gets the contact details

  - `relatedData.sites.contactDetails.phoneNumbers` (array, required)
    Gets the list of phone number entities

  - `relatedData.sites.contactDetails.phoneNumbers.type` (string, required)
    Gets the type
    Enum: "Home", "Mobile", "Work", "Business", "Fax"

  - `relatedData.sites.contactDetails.phoneNumbers.number` (string, required)
    Gets the phone number

  - `relatedData.sites.contactDetails.email` (string)
    Gets the email address

  - `relatedData.sites.contactDetails.address` (object)
    Gets the physical address

  - `relatedData.sites.contactDetails.address.line1` (string)
    Gets the first line
    Example: 60 Khyber Pass Road

  - `relatedData.sites.contactDetails.address.line2` (string)
    Gets the second line
    Example: Grafton

  - `relatedData.sites.contactDetails.address.city` (string)
    Gets the city
    Example: Auckland 1023

  - `relatedData.sites.contactDetails.addressV2` (object, required)
    Gets the physical address

  - `relatedData.sites.contactDetails.addressV2.line1` (object)
    Gets the first line text, and its translations, if applicable

  - `relatedData.sites.contactDetails.addressV2.line2` (object)
    Gets the second line text, and its translations, if applicable

  - `relatedData.sites.contactDetails.addressV2.line3` (object)
    Gets the third line text, and its translations, if applicable

  - `relatedData.sites.contactDetails.addressV2.line4` (object)
    Gets the forth line text, and its translations, if applicable

  - `relatedData.sites.ianaTimeZoneName` (string, required)
    Gets the IANA time zone name
    Example: America/New_York

  - `relatedData.sites.id` (string, required)
    Gets the unique identifier

  - `relatedData.sites.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.sites.hasSellableItems` (boolean, required)
    Gets a value indicating whether the site has any sellable item entities

  - `relatedData.sites.allowedItemDeliveryMethods` (array, required)
    Gets the list of allowed item delivery method entities

  - `relatedData.screens` (array, required)
    Gets the list of related screen entities

  - `relatedData.screens.id` (string, required)
    Gets the unique identifier

  - `relatedData.screens.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.censorRatings` (array, required)
    Gets the list of related censor rating entities

  - `relatedData.censorRatings.id` (string, required)
    Gets the unique identifier

  - `relatedData.censorRatings.classification` (object, required)
    Gets the classification text, and its translations

  - `relatedData.censorRatings.classificationDescription` (object)
    Gets the censor rating Classification description text, and its translations

  - `relatedData.censorRatings.ageRestriction` (object)
    Gets the age restriction, if applicable

  - `relatedData.censorRatings.ageRestriction.minimumAge` (integer, required)
    Gets the minimum age required

  - `relatedData.itemServiceAreas` (array, required)
    Gets the list of related item service area entities

  - `relatedData.itemServiceAreas.id` (string, required)
    Gets the unique identifier

  - `relatedData.itemServiceAreas.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.itemServiceAreas.shortName` (object, required)
    Gets the short name text, and its translations

  - `relatedData.itemShowtimeDeliveryWindows` (array, required)
    Gets the list of related item showtime delivery window base entities

  - `relatedData.itemShowtimeDeliveryWindows.id` (string, required)
    Gets the unique identifier

  - `relatedData.itemShowtimeDeliveryWindows.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.itemShowtimeDeliveryWindows.type` (string, required)
    Gets the type
    Enum: "MinutesFromStart"

  - `relatedData.subscriptionBillingOption` (object)
    Gets the related order related subscription billing option entity

  - `relatedData.subscriptionBillingOption.id` (string, required)
    Gets the unique identifier

  - `relatedData.subscriptionBillingOption.name` (object, required)
    Gets the name text, and its translations.

  - `relatedData.subscriptionBillingOption.subscriptionId` (integer, required)

  - `relatedData.subscriptionBillingOption.billingPeriodInMonths` (integer, required)

  - `relatedData.subscriptionBillingOption.isRecurring` (boolean, required)

  - `relatedData.subscription` (object)
    Gets the related order related subscription entity

  - `relatedData.subscription.id` (integer, required)
    Gets the unique identifier

  - `relatedData.subscription.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.balanceType` (object)
    Gets the related balance type entity, if applicable

  - `relatedData.balanceType.id` (integer, required)
    Gets the unique identifier

  - `relatedData.balanceType.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.balanceType.isPrimary` (boolean, required)
    Gets a value indicating whether this is the primary balance type

  - `relatedData.balanceType.unitName` (string)
    Gets the name of the balance units
    Example: Points

  - `relatedData.balanceType.paymentConversionRate` (number)
    Gets the conversion rate that applies when using balance units for an order member balance payment, if applicable

  - `relatedData.balanceType.unitDecimalPlaces` (integer, required)
    Gets the number of decimal places used to format and calculate balance unit values

  - `relatedData.areaCategories` (array, required)
    Gets the list of related area category entities

  - `relatedData.areaCategories.id` (string, required)
    Gets the unique identifier

  - `relatedData.areaCategories.name` (object, required)
    Gets the name text, and its translations

  - `relatedData.areaCategories.hopk` (string)
    Gets the Head Office primary key

  - `relatedData.areaCategories.isAllocatedSeating` (boolean, required)
    Gets a value indicating whether the seat entities are allocated

  - `relatedData.areaCategories.isInSeatItemDeliveryAvailable` (boolean, required)
    Gets a value indicating whether in-seat item delivery is available for seats belonging to this area category

  - `relatedData.itemPostalDeliveryMethods` (array, required)
    Gets the list of related order related item postal delivery method entities

  - `relatedData.itemPostalDeliveryMethods.isDefault` (boolean, required)
    Gets a value indicating whether this is the default delivery method

  - `relatedData.itemPostalDeliveryMethods.id` (string, required)
    Gets the unique identifier

  - `relatedData.itemPostalDeliveryMethods.name` (object, required)
    Gets the name text, and its translations

## Response 400:

  - `400` (unknown)
    Request property is invalid or missing, or invalid order type.

## Response 404:

  - `404` (unknown)
    Order or showtime does not exist.

